package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuWarehouseskuQueryRequest struct {
	/*
	   商品编码     */
	SkuCodeList *[]string `json:"sku_code_list" required:"true" `
	/*
	   仓编码     */
	WarehouseCode *string `json:"warehouse_code" required:"true" `
}

func (s *AlibabaWdkSkuWarehouseskuQueryRequest) SetSkuCodeList(v []string) *AlibabaWdkSkuWarehouseskuQueryRequest {
	s.SkuCodeList = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuQueryRequest) SetWarehouseCode(v string) *AlibabaWdkSkuWarehouseskuQueryRequest {
	s.WarehouseCode = &v
	return s
}

func (req *AlibabaWdkSkuWarehouseskuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SkuCodeList != nil {
		paramMap["sku_code_list"] = util.ConvertBasicList(*req.SkuCodeList)
	}
	if req.WarehouseCode != nil {
		paramMap["warehouse_code"] = *req.WarehouseCode
	}
	return paramMap
}

func (req *AlibabaWdkSkuWarehouseskuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
